Error de dependencia no resuelto al crear un nuevo proyecto

Este error aparece al crear un nuevo módulo de Aplicación de Android en Android Studio utilizando Fijaciones fijas + Barridos para la navegación.

Dice:

Las siguientes dependencias no fueron solucionables. Consulte el archivo build.gradle para obtener más detalles. – com.android.support:appcompat-v7:18.0.0

El error

Tengo como objetivo dispositivos Android 4.0 y superiores. ¿Por qué está involucrada la biblioteca de compatibilidad? Una solución es instalar esta biblioteca con el gestor SDK de Android, pero me preocupa que mi aplicación utilice realmente esta biblioteca de compatibilidad cuando no hay razón para hacerlo. La navegación ActionBar y la pestaña fija deberían incorporarse al derecho de Android 4.0+?

Esto me sucedió con IntelliJ Idea 13 Ultimate al crear el nuevo módulo Gradle. Estaba trabajando en la aplicación que soporta Froyo. Tuve que agregar manualmente las bibliotecas de soporte al SDK. Después de eso pude construir muy bien. Esta es la captura de pantalla de la configuración de la estructura del proyecto para SDK que tengo:

Introduzca aquí la descripción de la imagen

Como puede ver, soporte para v4, v7 y v13 que se agregaron manualmente. Aquellos se asociarán a la plataforma Android API 19 (en mi caso). Cuando cree el nuevo Módulo Gradle siguiente, tendrá que ir a Estructura del proyecto para seleccionar el SDK bajo Proyecto, pero no tendrá que volver a agregar librerías de soporte. Espero que esto ayude.

He instalado la biblioteca de compatibilidad de todos modos. Algo que no me di cuenta es que no puedes crear tu primer módulo usando File -> New Module . Tienes que usar File -> Project Structure -> New Module para tu primer módulo. Realmente no es intuitivo. Después de hacer esto, todo funcionó.

  • Robolectric filenotFound en archivos de activos
  • Cree un solo archivo AAR de varios módulos usando Gradle
  • Publicar android gradle proyecto a local maven repo
  • Cambiar a ActionBarCompat, pero tienen errores de generación relacionados con el tema
  • Cómo crear la biblioteca de soporte v4 desde el origen
  • Explicar la estrategia de dependencias transitivas descrita en la documentación de Android Build System
  • Gradle Error - Duplicar archivos copiados en APK AndroidManifest.xml
  • Generar aar o jar de la biblioteca de Android con dependencias
  • Configuración de Robolectric, Android Studio y Gradle para tomar una aplicación de prueba
  • El sabor de Gradle de Android tiene menos soporte de idioma que Main
  • Configuración de pruebas de integración en el proyecto basado en Android Gradle
  • FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.